/*------------------------------------------------------------------------------*
 * File Name: ProjectProtections												*
 * Creation : Army 08-17-2009													*
 * Purpose: OriginC Source H file												*
 * Copyright (c) Originlab Corp.	2006										*
 * All Rights Reserved															*
 * 																				*
 * Modification Log:															*
 *------------------------------------------------------------------------------*/
 
#ifndef _PROJECT_PROTECTIONS_H_
#define _PROJECT_PROTECTIONS_H_

#include "DialogEx.h"

enum
{
	LIST_USER_NAME_COL,
	LIST_DATE_COL,
	LIST_ACTION_COL,
	
	LIST_COL_COUNT //keep it last one
};

class ProtectionsListView : public TreeEditControl
{
public:		
	void InitControl(WndContainer& dlg);
	bool setupColHeader();

private:
	void updateAuditList();
	
};	
	
class ProjectProtectionsDlg : public  ResizeDialog
{	
public:	
	ProjectProtectionsDlg() : ResizeDialog(IDD_AUDIT_LIST_DLG, "ODlg8"){}				
			
	int DoModalEx(HWND hWndParent = NULL);
		
protected:
	
EVENTS_BEGIN
	ON_INIT(OnInitDialog) 
	ON_READY(OnReady)
	ON_DESTROY(OnDestroy)
	ON_SIZE(OnDlgResize)	
	ON_SYSCOMMAND(OnSystemCommand)
	ON_OK(OnClickOK)
	
EVENTS_END

	BOOL OnInitDialog();
	BOOL OnReady();	
	BOOL OnDestroy();
	BOOL OnDlgResize(int nType, int cx, int cy);
	BOOL OnClickOK();

private:	
	ProtectionsListView m_plv;
};

#endif //  _PROJECT_PROTECTIONS_H_

